BMAMP3StreamContentProvider Class Reference
Inheritance diagram for BMAMP3StreamContentProvider:
[legend]
Collaboration diagram for BMAMP3StreamContentProvider:
[legend]

## Public Member Functions

| BMAMP3StreamContentProvider (BMAStreamServer &server)
BMAStreamFrame * | getStreamFrame ()
Public Member Functions inherited from BMAStreamContentProvider
| BMAStreamContentProvider (BMAStreamServer &server)
virtual BMAStreamFrame * | getNextStreamFrame ()
int | getFrameCount ()

## Additional Inherited Members

Public Attributes inherited from BMAStreamContentProvider
bool | ready = false
std::vector< BMAStreamFrame * > | frames
int | cursor

The documentation for this class was generated from the following file:

- /home/barant/Documents/Development/BMASockets/BMAMP3StreamContentProvider.h